{
  "name": "spa_instat_tv",
  "version": "0.1.0",
  "private": true,
  "scripts": {
    "start": "react-scripts start",
    "build": "GENERATE_SOURCEMAP=false react-scripts build && gzipper --verbose ./build",
    "test": "react-scripts test --testMatch '**/__tests__/*' --passWithNoTests --watchAll=false",
    "test:watch": "react-scripts test --testMatch '**/__tests__/*'",
    "eject": "react-scripts eject",
    "lint": "eslint \"src/**/*.{ts,tsx}\"",
    "stylelint": "stylelint  \"src/**/*.{ts,tsx}\"",
    "storybook": "start-storybook -p 9009 -s public",
    "build-storybook": "build-storybook -s public",
    "start:auth": "REACT_APP_TYPE=auth-service react-scripts start",
    "test:auth": "REACT_APP_TYPE=auth-service react-scripts test",
    "facr": "REACT_APP_CLIENT=facr react-scripts start",
    "lff": "REACT_APP_CLIENT=lff react-scripts start",
    "india": "REACT_APP_CLIENT=india react-scripts start",
    "tunis": "REACT_APP_CLIENT=tunis react-scripts start",
    "insports": "REACT_APP_CLIENT=insports react-scripts start"
  },
  "dependencies": {
    "@stripe/react-stripe-js": "^1.4.0",
    "@stripe/stripe-js": "^1.13.2",
    "babel-polyfill": "^6.26.0",
    "date-fns": "^2.14.0",
    "history": "^4.10.1",
    "hls.js": "^1.1.1",
    "lodash": "^4.17.15",
    "m3u8-parser": "^4.7.0",
    "oidc-client": "^1.11.5",
    "react": "^17.0.2",
    "react-datepicker": "^3.1.3",
    "react-dom": "^17.0.2",
    "react-router": "^5.2.0",
    "react-router-dom": "^5.2.0",
    "react-scripts": "^5.0.1",
    "react-window": "^1.8.6",
    "react-youtube": "^7.14.0",
    "recoil": "^0.7.4",
    "screenfull": "^5.0.2",
    "styled-components": "^5.3.3",
    "workbox-core": "^5.1.4",
    "workbox-precaching": "^5.1.4"
  },
  "devDependencies": {
    "@commitlint/cli": "^14.1.0",
    "@commitlint/config-conventional": "^14.1.0",
    "@storybook/addon-actions": "^6.3.12",
    "@storybook/addon-docs": "^6.3.12",
    "@storybook/addon-links": "^5.3.19",
    "@storybook/addons": "^5.3.19",
    "@storybook/preset-create-react-app": "^3.0.0",
    "@storybook/preset-typescript": "^3.0.0",
    "@storybook/react": "^6.3.12",
    "@testing-library/jest-dom": "^5.15.0",
    "@testing-library/react": "^12.1.2",
    "@testing-library/user-event": "^7.1.2",
    "@types/history": "^4.7.6",
    "@types/jest": "^26.0.15",
    "@types/lodash": "^4.14.154",
    "@types/node": "^12.0.0",
    "@types/react": "^17.0.34",
    "@types/react-datepicker": "^3.0.2",
    "@types/react-dom": "^17.0.11",
    "@types/react-responsive": "^8.0.2",
    "@types/react-router": "^5.1.8",
    "@types/react-router-dom": "^5.1.6",
    "@types/react-window": "^1.8.5",
    "@types/styled-components": "^5.1.15",
    "commitizen": "^4.2.4",
    "eslint": "^7.0.1",
    "eslint-config-airbnb": "18.2.1",
    "eslint-config-react-app": "^7.0.1",
    "eslint-plugin-import": "^2.22.1",
    "eslint-plugin-jsx-a11y": "^6.4.1",
    "eslint-plugin-postro4no": "^0.0.7",
    "eslint-plugin-react": "^7.21.5",
    "eslint-plugin-react-hooks": "^4.2.0",
    "eslint-plugin-sort-destructure-keys": "^1.3.5",
    "eslint-plugin-typescript-sort-keys": "^1.5.0",
    "fork-ts-checker-webpack-plugin": "^7.2.13",
    "gzipper": "^3.7.0",
    "husky": "^4.2.5",
    "lint-staged": "^10.2.7",
    "miragejs": "^0.1.45",
    "storybook-addon-styled-component-theme": "^1.3.0",
    "stylelint": "^13.13.1",
    "stylelint-config-recommended": "^5.0.0",
    "stylelint-config-styled-components": "^0.1.1",
    "stylelint-processor-styled-components": "^1.10.0",
    "ts-loader": "^7.0.5",
    "typescript": "^4.4.4"
  },
  "config": {
    "commitizen": {
      "path": "cz-conventional-changelog"
    }
  },
  "husky": {
    "hooks": {
      "pre-commit": "lint-staged",
      "commit-msg": "commitlint -E HUSKY_GIT_PARAMS"
    }
  },
  "lint-staged": {
    "src/**/*.{ts,tsx}": [
      "npm run lint -- --max-warnings 0",
      "npm run test -- --findRelatedTests"
    ]
  },
  "browserslist": {
    "production": [
      ">0.2%",
      "not dead",
      "not op_mini all"
    ],
    "development": [
      "last 1 chrome version",
      "last 1 firefox version",
      "last 1 safari version",
      ">0.3%"
    ]
  }
}
